Subject: Re: bug#25983: 25.2; set dired-directory in vc-dir mode

From: Glenn Morris <[email-masked]>
Date: Sun, 05 Mar 2017 18:54:51 -0500

Tom Tromey wrote:

> I'd find it handy if vc-dir buffers had dired-directory set.
> This can serve as an indication that the buffer is associated with some
> directory, even though it's not visiting a file.

Is dired-directory not basically an internal dired variable that should
only be set in Dired mode, and modes derived from it, which vc-dir is not?

    Documentation:
    The directory name or wildcard spec that this Dired directory lists.
    Local to each Dired buffer.